#include<iostream>
using namespace std;	

int main() {
	
	int x, y, z, jedinicaX, jedinicaY, deseticaX, deseticaY;
	

	cin >> x;
	cin >> y;
	
	jedinicaX = x % 10;
	jedinicaY = y % 10;
	deseticaX = (x % 100) / 10;
	deseticaY = (y % 100) / 10;

	
	if (deseticaX > deseticaY && jedinicaX > jedinicaY) {
		z = (deseticaX * 10) + jedinicaX;
		cout << z;
	} else if (deseticaX < deseticaY && jedinicaX < jedinicaY) {
		z = (deseticaY * 10) + jedinicaY;	
		cout << z;
	} else if (deseticaX > deseticaY && jedinicaX < jedinicaY) {
		z = (deseticaX * 10) + jedinicaY;
		cout << z;
	} else if (deseticaX < deseticaY && jedinicaX > jedinicaY) {
		z = (deseticaY * 10) + jedinicaX;
		cout << z;
	} else if (deseticaX == deseticaY && jedinicaX == jedinicaY) {
        z = ((deseticaX * 1000) + (deseticaX * 100) + (jedinicaX * 10) + (jedinicaX));
        cout << z; 
	} else if (deseticaX == deseticaY && jedinicaX > jedinicaY) {
		z = ((deseticaX * 1000) + (deseticaX * 100) + jedinicaX);
		cout << z;
	} else if (deseticaX == deseticaY && jedinicaX < jedinicaY) {
		z = ((deseticaX * 1000) + (deseticaX * 100) + jedinicaY);
		cout << z;
	} else if (deseticaX > deseticaY && jedinicaX == jedinicaY) {
        z = (deseticaX + (jedinicaX * 10) + (jedinicaX));
        cout << z; 
	} else if (deseticaX < deseticaY && jedinicaX == jedinicaY) {
        z = (deseticaY + (jedinicaX * 10) + (jedinicaX));
        cout << z; 
	} 
	
	return 0;
}